<?php
/*
# ------------------------------------------------------------------------
# Vina Animations Image Slider for Joomla 3
# ------------------------------------------------------------------------
# Copyright(C) 2015 www.VinaGecko.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: VinaGecko.com
# Websites: http://vinagecko.com
# Forum:    http://vinagecko.com/forum/
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');
require_once dirname(__FILE__) . '/helper.php';

// load json code
$slider = json_decode($params->get('slides', ''));

// check if don't have any slide
if(!$slider) {
	echo "You don't have any slide!";
	return;
}

// load data
$slides = modVinaAnimationsImageSliderHelper::getSildes($slider);

// get params
$moduleclass_sfx 	= htmlspecialchars($params->get('moduleclass_sfx'));
$moduleWidth		= $params->get('moduleWidth', '');
$moduleHeight		= $params->get('moduleHeight', '');
$resizeImage		= $params->get('resizeImage', 0);
$resizeType			= $params->get('resizeType', 1);
$imageWidth			= $params->get('imageWidth', 1000);
$imageHeight		= $params->get('imageHeight', 500);
$captionBlock		= $params->get('captionBlock', 1);
$captionStyle		= $params->get('captionStyle', '');
$animationIn		= $params->get('animationIn', 'fadeIn');
$animationOut		= $params->get('animationOut', 'fadeOut');
$stopOnHover		= $params->get('stopOnHover', 1);
$loop				= $params->get('loop', 1);
$delay				= $params->get('delay', 5000);

// display layout
require JModuleHelper::getLayoutPath($module->module, $params->get('layout', 'default'));