<?php
/*
# ------------------------------------------------------------------------
# Vina Animations Image Slider for Joomla 3
# ------------------------------------------------------------------------
# Copyright(C) 2015 www.VinaGecko.com. All Rights Reserved.
# @license http://www.gnu.org/licenseses/gpl-3.0.html GNU/GPL
# Author: VinaGecko.com
# Websites: http://vinagecko.com
# Forum:    http://vinagecko.com/forum/
# ------------------------------------------------------------------------
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$doc = JFactory::getDocument();
$doc->addScript('modules/'.$module->module.'/assets/js/jquery.jcslider.js', 'text/javascript');
$doc->addStyleSheet('modules/'.$module->module.'/assets/css/animate.min.css');
$doc->addStyleSheet('modules/'.$module->module.'/assets/css/style.css');
?>
<!-- style block -->
<style type="text/css">
#vina-animations-slider<?php echo $module->id; ?> {
	<?php echo (!empty($moduleWidth)) ? "max-width: {$moduleWidth};" :""; ?>
	<?php echo (!empty($moduleHeight)) ? "max-height: {$moduleHeight};" :""; ?>
}
#vina-animations-slider<?php echo $module->id; ?> .caption-block {
	<?php echo (!empty($captionStyle)) ? $captionStyle : ""; ?>
}
</style>

<!-- slideshow block -->
<div id="vina-animations-slider<?php echo $module->id; ?>" class="vina-animations-slider">
	<?php foreach($slides as $slide) : ?>
	<?php
		$image 	= $slide->img;
		
		if($resizeImage) {
			$image = modVinaAnimationsImageSliderHelper::resizeImage($resizeType, $image, '', $imageWidth, $imageHeight, $module);
		}
		
		if($slider->src == "dir") {
			$name = $slide->img;
			$text = "";
		}
		else {
			$name = $slide->name;
			$text = $slide->text;
		}
	?>
	<div class="jc-animation">
		<!-- Image Block -->
		<?php if(!empty($image)): ?>
		<img src="<?php echo $image; ?>" alt="<?php echo $name; ?>" />
		<?php endif; ?>
		
		<!-- Caption Block -->
		<?php if(!empty($text) && $captionBlock): ?>
			<?php echo $text; ?>
		<?php endif; ?>
	</div>
	<?php endforeach; ?>
</div>


<!-- javascript block -->
<script type="text/javascript">
jQuery(document).ready(function ($) {
	$('#vina-animations-slider<?php echo $module->id; ?>').jcSlider({
		animationIn: '<?php echo $animationIn; ?>',
		animationOut: '<?php echo $animationOut; ?>',
		stopOnHover: <?php echo $stopOnHover ? "true" : "false"; ?>,
		loop: <?php echo $loop ? "true" : "false"; ?>,
		delay: <?php echo $delay; ?>,
	});
});
</script>